// index.js
// 获取应用实例
const app = getApp()
Page({
    /**
     * 页面的初始数据
     */
    data: {
        value: '',
        showInput: "0rpx",
        detail:"详情>",
        totalList:[],
        showList:[] ,
        phone:""
    },
    onClickdetail(){
      wx.navigateTo({
        url: '../../pages/order_details/order_details'
      })
    },
    // 电话输入
    mobileInput(e) {
        //   console.log(e);
        if (e.detail.value) {
            this.setData({
              showInput: "40rpx"
            })
        } else {
            this.setData({
              showInput: "0rpx"
            })
        }
        this.setData({phone:e.detail.value})
    },
    // 清空 
    clear() {
        this.setData({
            value: "",
            showInput: "0rpx"
        })

    },
    Search() {
        // console.log("213213123131");
        console.log(1);
    // 获取后拼接/phone
      wx.request({
        url: `http://8.130.90.145:8089/user/`  + this.data.phone,
        method: 'POST',
        header: {
            'content-type': 'application/json' // 默认值
        },
        success: (res => {
          // 遍历数组 查他的手机相等不等你输入的手机号
            console.log(res);
            this.setData({
              totalList : res.data
            })
            this.setData({
              showList : this.data.totalList
            })
        })
      })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        wx.setNavigationBarTitle({ title: '搜索' })

        wx.request({
          url: `http://8.130.90.145:8089/user/list` ,
          method: 'GET',
          header: {
              'content-type': 'application/json' // 默认值
          },
          success: (res => {
            // 遍历数组 查他的手机相等不等你输入的手机号
              console.log(res);
              this.setData({
                totalList : res.data
              })
              this.setData({
                showList : this.data.totalList
              })
          })
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})
